C++++++++++++++++++++++++++
C
      SUBROUTINE time_pleph ( ET, ntarg, RRD )
C
C++++++++++++++++++++++++++
C
C
C
C     THIS SUBROUTINE READS THE Irwin/Fukushima time ephemeris
C     AND GIVES the value (days) and its time derivative (dimensionless)
C
C     CALLING SEQUENCE PARAMETERS:
C
C       ET = D.P. JULIAN EPHEMERIS DATE AT WHICH INTERPOLATION
C            IS WANTED.
C
C       ** NOTE THE ENTRY time_dpleph FOR A DOUBLY-DIMENSIONED TIME **
C          THE REASON FOR THIS OPTION IS DISCUSSED IN THE 
C          SUBROUTINE time_STATE
C       ntarg = 1 get time ephemeris (dy) and its derivative (dimensionless)
C       ntarg = 2 get v_E/c (dimensionless) and its derivative (dy^{-1}).
C
C      RRD = OUTPUT 6-WORD D.P. ARRAY CONTAINING time ephemeris and
C       derivative in first two values if ntarg = 1 and containing
C       v_E/c vector in first 3 values and its derivative in second 3 values.
      IMPLICIT none
      integer*4 ntarg, list(2)
      real*8 et, RRD(6),ET2Z(2),ET2(2)
      LOGICAL FIRST
      DATA FIRST/.TRUE./
      save

C     INITIALIZE ET2 FOR 'time_STATE'
C
      ET2(1)=ET
      ET2(2)=0.D0
      GO TO 11

C     ENTRY POINT 'time_dpleph' FOR DOUBLY-DIMENSIONED TIME ARGUMENT 
C          (SEE THE DISCUSSION IN THE SUBROUTINE STATE)

      ENTRY time_dpleph(ET2Z, ntarg, RRD)

      ET2(1)=ET2Z(1)
      ET2(2)=ET2Z(2)

11    IF(FIRST) CALL time_STATE(0.D0,0, 0.d0, 0.d0)
      FIRST=.FALSE.
      if(ntarg.eq.1) then
        list(1) = 2
        list(2) = 0
      elseif(ntarg.eq.2) then
        list(1) = 0
        list(2) = 2
      else
        stop 'time_pleph: invalid ntarg'
      endif

      CALL time_STATE(ET2,LIST,rrd, rrd)
      END
